Subject: bug#57090: [BUG] Default Notation for chmod in guix style?

From: Christopher Rodriguez <[email-masked]>
Date: Tue, 09 Aug 2022 16:47:58 -0400

Hello,

I've noticed that, when I explicitly declare absolute permissions in
octal during a (chmod …) in my package definitions and then run guix
style, it converts them to decimal instead.

Is this intended? I've gotten feedback and agree that octal (#o755) is
much clearer to read than decimal (493), simply because I'm used to the
actual unix chmod tool and its conventions.

--

Christopher Rodriguez